CREATE TABLE IF NOT EXISTS `<PFX>nicks` (
  `user` int(11) unsigned NOT NULL COMMENT 'ID of the user',
  `nick` varchar(30) CHARACTER SET latin1 NOT NULL COMMENT 'Nickname of the user'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `<PFX>punishmentLog` (
  `user` int(11) unsigned DEFAULT NULL COMMENT 'User ID',
  `scoreAdded` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Punishment Score added',
  `time` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Punishment added time',
  `isValid` int(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Is punishment valid',
  `reason` text CHARACTER SET latin1 NOT NULL COMMENT 'Punishment reason'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `<PFX>punishmentScores` (
  `user` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'User ID',
  `score` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Punishment Score',
  `lastupdate` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Last update'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `<PFX>punishmentBanHelper` (
  `user` int(11) unsigned DEFAULT NULL,
  `guid` varchar(36) CHARACTER SET latin1 NOT NULL,
  `pbguid` varchar(36) CHARACTER SET latin1 NOT NULL,
  `name` varchar(30) CHARACTER SET latin1 NOT NULL,
  `ip` varchar(39) COLLATE utf8_bin NOT NULL,
  `reason` text CHARACTER SET latin1 NOT NULL,
  `expire` int(10) unsigned NOT NULL DEFAULT '0',
  `type` varchar(10) COLLATE utf8_bin NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `<PFX>stats` (
  `user` int(11) unsigned NOT NULL,
  `kills` int(11) NOT NULL,
  `deaths` int(11) NOT NULL,
  `headshots` int(11) NOT NULL,
  `teamkills` int(11) NOT NULL,
  `teamdeaths` int(11) NOT NULL,
  `selfkills` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

CREATE TABLE IF NOT EXISTS `<PFX>user` (
`id` int(11) unsigned NOT NULL,
  `guid` varchar(36) CHARACTER SET latin1 NOT NULL,
  `firstseen` int(11) NOT NULL,
  `lastseen` int(11) NOT NULL,
  `firstip` varchar(39) COLLATE utf8_bin NOT NULL,
  `lastip` varchar(39) COLLATE utf8_bin NOT NULL,
  `connections` int(11) NOT NULL,
  `onlinetime` int(11) NOT NULL,
  `online` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;


ALTER TABLE `<PFX>nicks`
 ADD KEY `user` (`user`);

ALTER TABLE `<PFX>punishmentLog`
 ADD PRIMARY KEY (`time`), ADD KEY `<PFX>punishmentLog` (`user`);

ALTER TABLE `<PFX>punishmentScores`
 ADD PRIMARY KEY (`user`);

ALTER TABLE `<PFX>punishmentBanHelper`
ADD KEY (`expire`), ADD KEY `<PFX>punishmentBanHelper` (`user`);

ALTER TABLE `<PFX>stats`
 ADD KEY `<PFX>stats` (`user`);

ALTER TABLE `<PFX>user`
 ADD PRIMARY KEY (`id`), ADD UNIQUE KEY `guid` (`guid`);


ALTER TABLE `<PFX>user`
MODIFY `id` int(11) unsigned NOT NULL AUTO_INCREMENT;

ALTER TABLE `<PFX>nicks`
ADD CONSTRAINT `<PFX>nicks` FOREIGN KEY (`user`) REFERENCES `<PFX>user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE `<PFX>punishmentLog`
ADD CONSTRAINT `<PFX>punishmentLog` FOREIGN KEY (`user`) REFERENCES `<PFX>user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE `<PFX>punishmentScores`
ADD CONSTRAINT `<PFX>punishmentScores` FOREIGN KEY (`user`) REFERENCES `<PFX>user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE `<PFX>punishmentBanHelper`
ADD CONSTRAINT `<PFX>punishmentBanHelper` FOREIGN KEY (`user`) REFERENCES `<PFX>user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE `<PFX>stats`
ADD CONSTRAINT `<PFX>stats` FOREIGN KEY (`user`) REFERENCES `<PFX>user` (`id`) ON DELETE CASCADE ON UPDATE NO ACTION;