<?php
/**
 * ManuAdminMod
 *
 * This is a powerful and platform independent software for administrating game servers of various kinds.
 * If you need help with installing or using this software, please visit our website at: www.ManuAdminMod.de
 * If you want to obtain additional permissions extending the license, contact us at: Webmaster@ManuAdminMod.de
 *
 * @copyright www.ManuAdminMod.de
 * @license http://www.creativecommons.org/licenses/by-nc-nd/4.0/ Creative Commons BY-NC-ND 4.0
 * @version 1.0.0-Beta+7
**/

namespace MAM\Plugins\Voting;

/**
 * Vote for nextmap
 *
 * @author ManuAdminMod
 */
class VoteNextmap extends \MAM\Plugins\Voting\Vote {

    /**
     * Starts a vote
     */
    public function start() {
        $say = $this->mod->getLngString("voteStarted") . " " . $this->mod->getLngString("voteNextmap") . " " . $this->mod->getLngString("voteYesNo");
        $this->rcon->rconSay($say);
    }

    /**
     * Cancel a vote
     */
    public function cancel() {
        $say = $this->mod->getLngString("voteCanceled") . " " . $this->mod->getLngString("voteNextmap");
        $this->rcon->rconSay($say);
    }

    /**
     * Pass a vote
     */
    public function pass() {
        $this->rcon->rconSay($this->mod->getLngString("votePassed") . " " . $this->mod->getLngString("voteNextmap") . " " . $this->mod->getLngString("voteYesNo3", array("<YES>", "<NO>"), array($this->yes, $this->no)));
        sleep(2);
        $this->rcon->rconMapRotate();
    }

    /**
     * Vote failed
     */
    public function failed() {
        $say = $this->mod->getLngString("voteFailed") . " " . $this->mod->getLngString("voteNextmap") . " " . $this->mod->getLngString("voteYesNo3", array("<YES>", "<NO>"), array($this->yes, $this->no));
        $this->rcon->rconSay($say);
    }

    /**
     * Announce a vote
     */
    public function announce() {
        $say = $this->mod->getLngString("voteInProgress") . " " . $this->mod->getLngString("voteNextmap") . " " . $this->mod->getLngString("voteYesNo2", array("<YES>", "<NO>"), array($this->yes, $this->no));
        $this->rcon->rconSay($say);
    }
}
